#!/bin/bash 
#
gmtset MEASURE_UNIT cm PS_MEDIA A3 PS_PAGE_ORIENTATION PORTRAIT
gmtset PS_SCALE_X .7 PS_SCALE_Y  .7 HEADER_FONT_SIZE 18p
gmtset MAP_FRAME_WIDTH 3p

## magnetic field
makecpt -CMaus.cpt -T-350/350 > tmp.cpt
cptfile='tmp.cpt'

# Br from LCS-1
INFILE='B_LCS1.grd'
fileOUT='B_LCS1.eps'

# Br from crust10
INFILE='B_crust10.grd'
fileOUT='B_crust10.eps'

# Br from magnetisation model determined from LCS-1 + crust10
INFILE='B_LS_crust10.grd'
fileOUT='B_LS_crust10.eps'

# Br from 15km slab model
INFILE='B_slab_15km.grd'
fileOUT='B_slab_15km.eps'



#sph2grd gh_crust10.txt -Rg -Gtmp.grd -Ns -I0.25
#INFILE=tmp.grd

grdimage $INFILE -JM24 -C$cptfile -Itopo_intens.grd -K -R-180/180/-70/70 -X1.5 -Y4.5 -V  > $fileOUT
#grdview tbase_one_quarter.grd -JM24 -G$INFILE -C$cptfile -Qs -Itopo_intens.grd -Ne0.8 -K -R-180/180/-70/70 -X1.5 -Y4.5 -V  > $fileOUT
pscoast -R-180/180/-70/70 -JM -Bf30a30/f10a10:."":wSEn -Di -A400 -W.5 -O -K -X0 -Y0 >> $fileOUT
grdview tbase_one_quarter.grd -JG0/90/8.5 -G$INFILE -C$cptfile -Qs -Itopo_intens.grd -Ne0.8 -K -O -R-180/180/60/90 -X0 -Y14.3 -V  >> $fileOUT
pscoast -R-180/180/60/90 -JG -Bf30a30/f10a10:."":wSEn -Di -A400 -W.5 -K -O -X0 -Y0 >> $fileOUT
grdview tbase_one_quarter.grd -JG0/-90/8.5 -G$INFILE -C$cptfile -Qs -Itopo_intens.grd -Ne0.8 -K -O -R-180/180/-90/-60 -X15.5 -Y0 -V  >> $fileOUT
pscoast -R-180/180/-90/-60 -JG -Bf30a30/f10a10:."":wsEN -Di -A400 -W.5 -K -O -X0 -Y0 >> $fileOUT
psscale -C$cptfile  -Dx7c/-.3c+w9c/0.5c+e  -B+tcontinuous -By+l"[nT]" -L -I0.5 -O  -X-11 -Y0 -V  >> $fileOUT

psconvert -Tj -E150 -P -A $fileOUT
\rm $fileOUT

